package egovframework.service;

import egovframework.util.PageCriteria;
import egovframework.vo.AdminVO;
import egovframework.vo.PopupVO;
import egovframework.vo.StatsVO;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpSession;
import java.util.List;
import java.util.Map;


public interface AdminService {

    AdminVO getUser(String id);

    Map<String, Object> getPopupList(Map<String, Object> paramMap, PageCriteria criteria);

    PopupVO getPopup(Map<String, Object> paramMap);

    void insertPopup(Map<String, Object> paramMap);

    int updatePopupUseYN(Map<String, Object> paramMap);

    int deletePopup(Map<String, Object> paramMap);

    int updatePopup(Map<String, Object> paramMap, MultipartFile file);

    Map<String, Object> checkPrePw(Map<String, Object> paramMap);

    List<StatsVO> getHHStatus(Map<String, Object> paramMap);

    List<StatsVO> getDDStatus(Map<String, Object> paramMap);

    List<StatsVO> getMMStatus(Map<String, Object> paramMap);

    void adminLoginMake(Map<String, Object> paramMap);

    void adminLogoutMake(Map<String, Object> paramMap);

    Map<String, Object> loginCheck(Map<String, Object> paramMap, HttpSession session);

}